SOLIDWORKS Installation Manager Download Folder

SOLIDWORKS Installation Manager can download the installation files it needs to a folder that you specify. This topic provides answers to frequently asked questions about the download folder.

Question Answer
How do I install the files in this folder?

Run setup.exe. You may still be required to download some files if you select to install items that were not downloaded previously.

Do not install using msiexec (see below.)
Can I install MSI files manually from this folder using msiexec or some other application?

No. The Installation Manager does not download some files that would be required when running msiexec.
Can I select the same download folder for each version I install?

Download folders are version-specific. SOLIDWORKS Installation Manager automatically creates a version-specific subfolder within the specified folder.

I downloaded some products manually from the Dassault Systèmes SOLIDWORKS Corporation Web site. Can the Installation Manager install these?
Files downloaded manually can be used by SOLIDWORKS Installation Manager. However, it is better to run SOLIDWORKS Installation Manager, selecting the option to download files. SOLIDWORKS Installation Manager shows which files you need based on what you are installing, providing links to download each file. You can use this option when the download page does not work (most likely because of downloading restrictions enforced by a proxy server).
If a dialog box asks whether you want to save or run files during a download or installation, always specify Save.
Can the files I download be shared by other users?

Yes. To do so, download to a network share. Each client can then run SOLIDWORKS Installation Manager from the share to install.

No further downloads are required unless a user selects some items to install that were not selected during the initial download or if a computer that uses this download to install has a different set of prerequisites than the computer to which you downloaded the files.

If you are downloading on behalf of others but are not installing, select the Download Only option when installing. This option lets you select products regardless of what may be installed on your system. However, you cannot use this option to download patches or to create administrative images.
How do I know when a new version of SOLIDWORKS products becomes available?
You are informed when a new version is available in the following cases:
  • If you run Check for Updates ( Start > SOLIDWORKS Installation Manager > Check For Updates)
  • If you have enabled SOLIDWORKS Background Downloader
  • If you select an installed version of SOLIDWORKS in Windows Add/Remove Programs and click Change
  • If you run an older version of the Installation Manager (sldIM.exe) from a download folder
In these cases, you may select to download the newer version. SOLIDWORKS Installation Manager will download and run the newer version of itself, and not any installation files. After the newer version of SOLIDWORKS Installation Manager runs, you may select a set of installation actions. SOLIDWORKS Installation Manager determines which installation files are needed (and not downloaded previously) and offers to download those files.
Why does SOLIDWORKS Installation Manager not let me select a different service pack of a product to install?

Each version of SOLIDWORKS Installation Manager is designed to install only a specific version of SOLIDWORKS products. If you want to install a different service pack, you need to run that version of SOLIDWORKS Installation Manager. To find the latest version available, see the preceding item.
Why is SOLIDWORKS Installation Manager prevented from downloading files?

If proxy server restrictions prevent applications from downloading files, SOLIDWORKS Installation Manager cannot download files automatically.

You can download files manually and then install them using SOLIDWORKS Installation Manager. Select the option in SOLIDWORKS Installation Manager to download individual files (for example, manual download method on the Download Options page). Based on your product selections and system requirements, a web page appears in a separate window containing links to download all required files manually.

Not all of my SOLIDWORKS products are updated to the latest service pack. Why does Check For Updates tell me I have the latest version?

Check For Updates only tells you whether you have installed (or are running) the latest version of SOLIDWORKS Installation Manager.

If you want to update all products to the latest version that is installed in Control Panel > Programs > Programs and Features, select the latest installed version of SOLIDWORKS and click Change.

Can I copy a DVD to a download folder?

Yes, but installations may fail unless you copy the entire contents of each DVD released for that platform. SOLIDWORKS Installation Manager looks for the files swdata*.id to determine the version. If these files are not present, it fails to recognize any of the installation files that you copied and requires that they be downloaded.

Contents

  • Tips for Using SOLIDWORKS with Microsoft Windows 8

    The user interface of Windows 8 (and later) departs significantly from earlier versions of Windows. Not only are navigation techniques different, but several methods have been added to access key commands.


Tips for Using SOLIDWORKS with Microsoft Windows 8

The user interface of Windows 8 (and later) departs significantly from earlier versions of Windows. Not only are navigation techniques different, but several methods have been added to access key commands.

The following topics provide instructions on how to access three of the most basic functions with Windows 8. Refer to these topics when using Windows 8 to install SOLIDWORKS.
These steps may vary depending on how your Windows system is configured. Consult Microsoft Windows documentation for additional instructions and options, especially for systems later than Windows 8.
Parent topic SOLIDWORKS Installation Manager Download Folder